<form [formGroup]="passwordUpdateForm" class="centered-form" (ngSubmit)="updatePassword()">
  <div class="form-content">
  <div class="columns is-multiline">
    <div class="column is-12-mobile is-6-tablet">
      <div class="field">
        <label class="label" for="newPassword"><span i18n="@@userProfil.newPassword">New password</span><span
            class="required-field">*</span></label>
        <p class="control has-icons-right">
          <input id="newPassword" class="input" type="password" formControlName="newPassword"
            [ngClass]="{'has-error': passwordFormFieldIsInvalid('newPassword'), 'is-valid': passwordFormFieldIsValid('newPassword')}">
          <span class="icon is-small is-right is-icon-success" *ngIf="passwordFormFieldIsValid('newPassword')">
            <span class="fas fa-check-circle"></span>
          </span>
          <span class="icon is-small is-right is-icon-warning" *ngIf="passwordFormFieldIsInvalid('newPassword')">
            <span class="fas fa-exclamation-circle"></span>
          </span>
        </p>

        <div class="form-incorrect-field-message" *ngIf="passwordFormFieldIsInvalid('newPassword')">
          <div *ngIf="newPassword.errors['required']" i18n="@@form.errors.missingpassword">
            You must enter a password.
          </div>

          <div *ngIf="newPassword.errors['minlength']" i18n="@@form.errors.minLength">
            Your password must at least contain {{ passwordMinLength }} characters.
          </div>

          <div *ngIf="newPassword.errors['invalidCharacters']" i18n="@@form.errors.invalidCharacters">
            Your password contains invalid characters.
          </div>

          <div *ngIf="newPassword.errors['missingSpecialCharacters']" i18n="@@form.errors.missingSpecialCharacters">
            Your password must contain at least one special character.
          </div>

          <div *ngIf="newPassword.errors['missingUppercasedLetter']" i18n="@@form.errors.missingUppercasedLetter">
            Your password must contain at least one uppercased character.
          </div>

          <div *ngIf="newPassword.errors['missingLowercasedLetter']" i18n="@@form.errors.missingLowercasedLetter">
            Your password must contain at least one lowercased character.
          </div>

          <div *ngIf="newPassword.errors['missingNumber']" i18n="@@form.errors.missingNumber">
            Your password must contain at least one number.
          </div>

          <div *ngIf="newPassword.errors['forbiddenWord']" i18n="@@form.errors.forbiddenWord">
            Your password must not contain obvious words.
          </div>
        </div>
      </div>
    </div>

    <div class="column is-12-mobile is-6-tablet">
      <div class="field">
        <label class="label" for="newPasswordConfirmation"><span i18n="@@userProfil.newPasswordConfirmation">New
            password confirmation</span><span class="required-field">*</span></label>
        <p class="control has-icons-right">
          <input id="newPasswordConfirmation" class="input" type="password" formControlName="newPasswordConfirmation"
            [ngClass]="{'has-error': newPasswordConfirmationError || passwordFormFieldIsInvalid('newPasswordConfirmation'), 'is-valid': !newPasswordConfirmationError && passwordFormFieldIsValid('newPasswordConfirmation')}">
          <span class="icon is-small is-right is-icon-success"
            *ngIf="!newPasswordConfirmationError && passwordFormFieldIsValid('newPasswordConfirmation')">
            <span class="fas fa-check-circle"></span>
          </span>
          <span class="icon is-small is-right is-icon-warning"
            *ngIf="newPasswordConfirmationError || passwordFormFieldIsInvalid('newPasswordConfirmation')">
            <span class="fas fa-exclamation-circle"></span>
          </span>
        </p>

        <div class="form-incorrect-field-message" *ngIf="passwordFormFieldIsInvalid('newPasswordConfirmation')">
          <div *ngIf="newPasswordConfirmation.errors['required']" i18n="@@form.errors.missingConfirmationPassword">
            You must confirm your password.
          </div>
        </div>
        <div class="form-incorrect-field-message" *ngIf="newPasswordConfirmationError">
          <div i18n="@@form.errors.passwordConfirmationError">
            The password confirmation doesn't match with the password.
          </div>
        </div>
      </div>
    </div>

    <div class="column is-12-mobile is-6-tablet">
      <div class="field">
        <label class="label" for="oldPassword"><span i18n="@@userProfil.oldPassword">Old password</span><span
            class="required-field">*</span></label>
        <p class="control has-icons-right">
          <input id="oldPassword" class="input" type="password" formControlName="oldPassword"
            [ngClass]="{'has-error': passwordFormFieldIsInvalid('oldPassword'), 'is-valid': passwordFormFieldIsValid('oldPassword')}">
          <span class="icon is-small is-right is-icon-success" *ngIf="passwordFormFieldIsValid('oldPassword')">
            <span class="fas fa-check-circle"></span>
          </span>
          <span class="icon is-small is-right is-icon-warning" *ngIf="passwordFormFieldIsInvalid('oldPassword')">
            <span class="fas fa-exclamation-circle"></span>
          </span>
        </p>

        <div class="form-incorrect-field-message" *ngIf="passwordFormFieldIsInvalid('oldPassword')">
          <div *ngIf="oldPassword.errors['required']" i18n="@@userProfil.errors.missingOldPassword">
            You must enter your old password.
          </div>

          <div *ngIf="oldPassword.errors['wrongPassword']" i18n="@@userProfil.errors.wrongPassword">
            Make sure to enter the right password.
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
    <div class="column is-12 has-text-right">
      <div class="field">
        <div>
          <button type="submit" class="button button-gl" [ngClass]="{'is-loading': passwordUpdateRequestIsPending}"
            [disabled]="passwordUpdateFormIsInvalid || passwordUpdateFormDisabled" i18n="@@userProfil.updatePassword">
            Update your password
          </button>
        </div>
      </div>
    </div>
</form>
